# NumberFormatter::format

# numfmt_format

(PHP 5 >= 5.3.0, PHP 7, PECL intl >= 1.0.0)

NumberFormatter::format -- numfmt_format — Format a number

### Description

Object oriented style

public NumberFormatter::format ( number `$value` [, int `$type` ] ) : string

Procedural style

numfmt_format ( NumberFormatter `$fmt` , number `$value` [, int `$type` ] ) : string

Format a numeric value according to the formatter rules.

### Parameters

`fmt`

  NumberFormatter object.

`value`

  The value to format. Can be integer or float, other values will be converted to a numeric value.

`type`

  The formatting type to use.

### Return Values

Returns the string containing formatted value, or `FALSE` on error.

### Examples

Example #1 numfmt_format() example

`<?php
$fmt = numfmt_create( 'de_DE', NumberFormatter::DECIMAL );
$data = numfmt_format($fmt, 1234567.891234567890000);
if(intl_is_failure(numfmt_format($fmt))) {
report_error("Formatter error");
}
?>`

Example #2 OO example

`<?php
$fmt = new NumberFormatter( 'de_DE', NumberFormatter::DECIMAL );
$fmt->format(1234567.891234567890000);
if(intl_is_failure($fmt->getErrorCode())) {
report_error("Formatter error");
}
?>`

The above example will output:

    1.234.567,891

### See Also

- numfmt_get_error_code() - Get formatter's last error code
- numfmt_format_currency() - Format a currency value
- numfmt_parse() - Parse a number